Bug 1866564 (CVE-2020-11993) - CVE-2020-11993 httpd: mod_http2 concurrent pool usage
Summary: CVE-2020-11993 httpd: mod_http2 concurrent pool usage
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11993
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1869077 1868149 1869078
Blocks: 1866566
TreeView+ depends on / blocked
 
Reported: 2020-08-05 22:13 UTC by Pedro Sampaio
Modified: 2021-02-16 19:31 UTC (History)
23 users (show)

Fixed In Version: httpd 2.4.44
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Apache httpd in versions 2.4.20 to 2.4.43. Logging using the wrong pool by mod_http2 at debug/trace log level may lead to potential crashes and denial of service. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-10-28 20:21:31 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4383 0 None None None 2020-10-28 15:49:48 UTC
Red Hat Product Errata RHSA-2020:4384 0 None None None 2020-10-28 16:01:00 UTC

Description Pedro Sampaio 2020-08-05 22:13:16 UTC
A flaw was found in httpd before version 2.4.46. Logging using the wrong pool by mod_http2 at debug/trace log level may lead to potential crashes and denial of service.

Upstream patch:

https://github.com/icing/mod_h2/commit/89773a4f98ee9a9fb402470e04b6f4044faa7fdf

Comment 1 Pedro Sampaio 2020-08-05 22:13:21 UTC
Acknowledgments:

Name: the Apache project

Comment 3 Ted (Jong Seok) Won 2020-08-06 00:16:53 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Enterprise Web Server 2

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 5 Guilherme de Almeida Suckevicz 2020-08-11 19:46:56 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1868149]

Comment 6 Huzaifa S. Sidhpurwala 2020-08-16 10:42:17 UTC
External References:

https://httpd.apache.org/security/vulnerabilities_24.html#CVE-2020-11993

Comment 10 Eric Christensen 2020-09-08 18:35:58 UTC
Statement:

Red Hat Enterprise Linux 5, 6, and 7 do not ship the vulnerable version of httpd and, thus, are not affected.

Comment 13 errata-xmlrpc 2020-10-28 15:49:45 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2020:4383 https://access.redhat.com/errata/RHSA-2020:4383

Comment 14 errata-xmlrpc 2020-10-28 16:01:13 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7
  JBoss Core Services on RHEL 6

Via RHSA-2020:4384 https://access.redhat.com/errata/RHSA-2020:4384

Comment 15 Product Security DevOps Team 2020-10-28 20:21:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11993


Note You need to log in before you can comment on or make changes to this bug.